Provision a tenant
curl --request POST \
--url https://{instance}.cyrisma.com/ta/v1/msp/provisioning/tenants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"parent_tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"trial": true,
"short_name": "<string>",
"kind": "<string>",
"contact": "<string>",
"notification_email": "<string>",
"address_1": "<string>",
"address_2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country_id": 123,
"region_id": 123,
"industry_id": 123,
"employee_count": 123,
"assigned_technician_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_kind_id": 123,
"legacy_use_type": 123,
"support_enabled": true,
"idempotency_key": "<string>"
}
'import requests
url = "https://{instance}.cyrisma.com/ta/v1/msp/provisioning/tenants"
payload = {
"parent_tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"trial": True,
"short_name": "<string>",
"kind": "<string>",
"contact": "<string>",
"notification_email": "<string>",
"address_1": "<string>",
"address_2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country_id": 123,
"region_id": 123,
"industry_id": 123,
"employee_count": 123,
"assigned_technician_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_kind_id": 123,
"legacy_use_type": 123,
"support_enabled": True,
"idempotency_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
parent_tenant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
trial: true,
short_name: '<string>',
kind: '<string>',
contact: '<string>',
notification_email: '<string>',
address_1: '<string>',
address_2: '<string>',
city: '<string>',
state: '<string>',
postal_code: '<string>',
country_id: 123,
region_id: 123,
industry_id: 123,
employee_count: 123,
assigned_technician_user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tenant_kind_id: 123,
legacy_use_type: 123,
support_enabled: true,
idempotency_key: '<string>'
})
};
fetch('https://{instance}.cyrisma.com/ta/v1/msp/provisioning/tenants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_number": 123,
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"tenant_host": "<string>",
"registration_key": "<string>",
"orchestrator_wake_succeeded": true
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}MSP Administration
Provision a tenant
POST
/
v1
/
msp
/
provisioning
/
tenants
Provision a tenant
Authorizations
A machine-client token from POST /v1/auth/client-token. Provisioning and user management need the pulse.write scope; reads need pulse.read.
Body
application/json
